@font-face {
    font-family: "Agency FB";
    src: url("/static/AGENCYR.TTF");
}

.zone.zoneExclusion1,
.zone.zoneExclusion2,
.zone.zoneExclusion3 {
    background-color: rgba(0, 0, 0, 0.4) !important;
}

.zone.zoneExclusionSuper {
    background-color: rgba(0, 0, 0, 0.7) !important;
}

.zone.zoneMinefield2 {
    background-image: url("/static/textures/worn-dots.png");
    background-size: 10em 10em;
}

.zone.zoneDresdenFog,
.zone.zoneLeedsSmog,
.zone.zoneChugokuCloud,
.zone.undefined,
.zone.noZoneType {
    background-image: url("/static/textures/snow.png");
    background-size: 5em 5em;
}

/*Potentially it is same as hidden zone*/
.zone.zoneNoPropertyFlag {
    display: none;
}

.zone.zoneDresdenLavaRocks {
    background-image: url("/static/textures/white-texture.png");
    background-size: 5em 5em;
}

.zone.zoneAlphaBigDust {
    background-image: url("/static/textures/vintage-speckles.png");
    background-size: 10em 10em;
}

.zone.reusethissomewhere {
    background-image: url("/static/textures/wall-4-light.png");
}

.zone.zoneRock,
.zone.zoneLeedsUraniumAsteroids,
.zone.zoneDublinGoldField,
.zone.zoneGreenAsteroids {
    background-image: url("/static/textures/rocky-wall.png");
    background-size: 25em 25em;
}

.zone.zoneIceAsteroids1,
.zone.zoneIceAsteroidsTau37,
.zone.zoneIceAsteroidsSmall {
    background-image: url("/static/textures/white-texture.png");
}

.zone.zoneDetroitDebrisHigh {
    background-image: url("/static/textures/debrisTexture127.png");
    background-size: 3em 3em;
}

.zone.zoneDetroitDebrisNormal {
    background-image: url("/static/textures/debrisTexture127.png");
    background-size: 5em 5em;
}

.zone {
    background-color: rgba(255, 255, 255, 0.1);
}

.zone.roundZone {
    border-radius: 100%;
}

.zone.squareZone {
    border-radius: 0;
}

/* cylinderZone, boxZone, nothing?*/

/* INFOCARD STUFF START */

.infocardContainer {
    text-align: center;
    color: white;
    font-family: var(--font-family);
    border: 0.2em solid rgb(30, 166, 197);
    box-shadow: 0em 0em 0.5em 0em rgb(30, 166, 197);
    z-index: 1;
    /* was z-index 0 */
    background: url("/static/nnwall.jpg") black;
    border-radius: 0.5em;
}

.infocardContainer {
    max-width: 45em;
    width: auto !important;
    max-height: 80vh;
    overflow-y: auto;
    margin: 0 !important;
    transform: none !important;
    position: relative;
}

.infocardContainer p {
    text-align: left;
    margin: 3px;
    width: auto;
}

.infocard {
    padding: 3.5vh;
    position: relative;
}

.infocardContainer h2 {
    width: auto;
}


@media (min-width: 65em) {
    body.responsive .infocardContainer span.infocardText {
        padding-left: 0;
        padding-right: 0;
    }
}

.scrollUpButton {
    background: rgba(0, 0, 0, 0.4);
    margin: 0.35em;
    border-radius: 0.5em;
    border: 0.15em solid rgb(30, 166, 197);
    cursor: pointer;
}

.scrollUpButton {

    float: right;
    position: sticky;
    top: 0.5em;
    margin: 0 0 0.5em 0.75em;

    width: auto !important;
    padding: 0.4em 0.6em !important;
    z-index: 1;

}

.scrollUpButton:hover {
    color: rgb(255, 167, 6);
    background-color: rgba(0, 0, 0, 0.6);
}

.remodal-bg {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10000;
    background: rgba(0, 0, 0, 0.6);
    justify-content: center;
    align-items: center;
    overflow: auto;
}

@media only screen and (min-width: 641px) {
    .remodal {
        max-width: 850px;
    }
}

.remodal,
.remodal-wrapper:after {
    vertical-align: middle;
}

.remodal {
    box-sizing: border-box;
    width: 100%;
    margin-bottom: 10px;
    padding: 1vh;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.remodal {
    position: relative;
    outline: none;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    text-size-adjust: 100%;
}

.remodal,
[data-remodal-id] {
    display: none;
}

/* INFOCARD STUFF END */

.dev-mode {
    position: sticky;
    float: right;
    display: flex;
    flex-direction: column;
    width: fit-content;
    min-height: 20px;
    padding: 5px 5px !important;
    right: 5px;
    bottom: 5px;
    align-items: center;
    opacity: 0.10;
}